RK-J - Task #1851

Handle 'all books continuous link update’ background thread being killed because the instance

running it is terminated
11/03/2021 05:36 AM - Ram Kordale

Status: Closed Start date: 11/11/2021
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

History

#1 - 11/30/2021 09:01 AM - Venmuhilan B

- Assignee changed from Saitej Varri to Venmuhilan B

#2 - 11/30/2021 09:02 AM - Venmuhilan B

- Status changed from New to In Progress

#3 - 01/31/2022 09:51 AM - Venmuhilan B

- Status changed from In Progress to Resolved

#4 - 04/28/2022 06:16 AM - Ram Kordale
- Status changed from Resolved to Reopened

- Assignee changed from Venmuhilan B to Ayush Khandelwal

This is not solved yet.

#5 - 05/19/2022 10:47 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#6 - 05/20/2022 02:40 PM - Venmuhilan B

- Status changed from Reopened to In Progress

#7 - 05/20/2022 02:42 PM - Venmuhilan B

- Status changed from In Progress to Resolved

Issue:

null pointer Exception occurred at getThelLastCreatedOrUpdatedTime() method present in AsyncUpdateBooksService class.

Fix:

Added null check before comparing the timestamps of AsyncUpdateBooks and Added some info logs. MR link -

https://gitlab.com/kordale/rapidken-j/-/merge_requests/1302

#8 - 10/12/2022 06:53 PM - Ayush Khandelwal
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 10/28/2022 12:39 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#10 - 03/29/2023 09:34 AM - Ram Kordale
- Status changed from Feedback to Closed
